.component.component-auth-sign-in-form
  .form-container
    zea2-common-progress-lock(*ngIf="isLoading()")
    form((submit)="submit()")
      .notification.is-warning(*ngIf="lastError")
        div([ngSwitch]="lastErrorType")
          div(*ngSwitchDefault="") {{ lastError }}
          div(*ngSwitchCase="'account-not-found'") {{ 'zea2-admin.m.auth.sign-in.errors.account-not-found' | translate }}
          div(*ngSwitchCase="'password-not-match'") {{ 'zea2-admin.m.auth.sign-in.errors.password-not-match' | translate }}
          div(*ngSwitchCase="'not-admin'") {{ 'zea2-admin.m.auth.sign-in.errors.not-admin' | translate }}
      .field
        p.control.has-icon
          input.input(
            name="email",
            type="email",
            [placeholder]="'zea2-admin.m.auth.sign-in.fields.email' | translate",
            [(ngModel)]="model.email",
            [disabled]="areInputsLocked()",
            autofocus
          )
          span.icon.is-small
            i.fa.fa-envelope
      .field
        p.control.has-icon
          input.input(
            name="password",
            type="password",
            placeholder="Password",
            [placeholder]="'zea2-admin.m.auth.sign-in.fields.password' | translate",
            [(ngModel)]="model.password",
            [disabled]="areInputsLocked()"
          )
          span.icon.is-small
            i.fa.fa-lock
      .field
        p.control
          button.button.is-success {{ 'zea2-admin.m.auth.sign-in.fields.submit' | translate }}